# Generated from test-queue-0.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name test-queue

Name: rubygem-%{gem_name}
Version: 0.4.2
Release: 1%{?dist}
Summary: parallel test runner
License: MIT
URL: http://github.com/tmm1/test-queue
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
minitest/rspec parallel test runner for CI environments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rspec-queue
%{_bindir}/minitest-queue
%{_bindir}/testunit-queue
%{_bindir}/cucumber-queue
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile-cucumber1-3
%{gem_instdir}/Gemfile-cucumber1-3.lock
%{gem_instdir}/Gemfile-cucumber2-4
%{gem_instdir}/Gemfile-cucumber2-4.lock
%{gem_instdir}/Gemfile-minitest4
%{gem_instdir}/Gemfile-minitest4.lock
%{gem_instdir}/Gemfile-minitest5
%{gem_instdir}/Gemfile-minitest5.lock
%{gem_instdir}/Gemfile-rspec2-1
%{gem_instdir}/Gemfile-rspec2-1.lock
%{gem_instdir}/Gemfile-rspec3-0
%{gem_instdir}/Gemfile-rspec3-0.lock
%{gem_instdir}/Gemfile-rspec3-1
%{gem_instdir}/Gemfile-rspec3-1.lock
%{gem_instdir}/Gemfile-rspec3-2
%{gem_instdir}/Gemfile-rspec3-2.lock
%{gem_instdir}/Gemfile-testunit
%{gem_instdir}/Gemfile-testunit.lock
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec
%{gem_instdir}/test-queue.gemspec
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.4.2-1
- Initial package
